<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('ticket', function (Blueprint $table) {
            // Add max_tickets column to store the total number of tickets available
            $table->integer('max_tickets')->default(0)->after('category');
            // Add available_tickets column to store the current available tickets left
            $table->integer('available_tickets')->default(0)->after('max_tickets');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ticket', function (Blueprint $table) {
            $table->dropColumn('max_tickets');
            $table->dropColumn('available_tickets');
        });
    }
};
